
#ifndef _XEVIE_H_
#define _XEVIE_H_

#include <X11/Xfuncproto.h>

#define X_XevieQueryVersion			0
#define X_XevieStart				1
#define X_XevieEnd				2
#define X_XevieSend				3
#define X_XevieSelectInput			4

#define XevieNumberErrors			0

#define XEVIE_UNMODIFIED    0
#define XEVIE_MODIFIED   1

#ifndef _XEVIE_SERVER_

_XFUNCPROTOBEGIN

Bool XevieQueryVersion(
#if NeedFunctionPrototypes
    Display*			/* dpy */,
    int*			/* major_version */,
    int*			/* minor_version */
#endif
);

extern Status XevieStart(
#if NeedFunctionPrototypes
    Display*			/* dpy */
#endif
);

Status XevieEnd(
#if NeedFunctionPrototypes
    Display*			/* dpy */
#endif
);

Status XevieSendEvent(
#if NeedFunctionPrototypes
    Display*                    /* dpy */,
    XEvent*			/* event */,
    int				/* data type */
#endif
);

Status XevieSelectInput(
#if NeedFunctionPrototypes
    Display*                    /* dpy */,
    long
#endif
);


_XFUNCPROTOEND

#endif /* _XEVIE_SERVER_ */

#endif /* _XEVIE_H_ */

